Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger, JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTrigger.Builder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode

    public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode.JoinTriggerOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`int` | `getCounter()` `optional int32 counter = 2;`
`long` | `getNodeId()` `optional int64 node_id = 1;`
`boolean` | `hasCounter()` `optional int32 counter = 2;`
`boolean` | `hasNodeId()` `optional int64 node_id = 1;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasNodeId

    boolean hasNodeId()

  `optional int64 node_id = 1;`

### getNodeId

    long getNodeId()

  `optional int64 node_id = 1;`

### hasCounter

    boolean hasCounter()

  `optional int32 counter = 2;`

### getCounter

    int getCounter()

  `optional int32 counter = 2;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.